#include "guess.h"
#include <bits/stdc++.h>
using namespace std;

int find_number(int MAX) {
    int l = 1, r = MAX;
    while (l <= r) {
        int m = l + (r - l) / 2;
        if (smaller(m)) {
            r = m - 1;
        } else {
            l = m + 1;
        }
    }
    if (l == r) {return r;}
    return l;
}

